SpreadFittingMethod Class Reference

Spread fitting method helper. More...

`#include <ql/termstructures/yield/nonlinearfittingmethods.hpp>`

Inheritance diagram for SpreadFittingMethod:
[legend]

## Public Member Functions

| SpreadFittingMethod (const ext::shared_ptr< FittingMethod > &method, const Handle< YieldTermStructure > &discountCurve, Real minCutoffTime=0.0, Real maxCutoffTime=QL_MAX_REAL)
std::auto_ptr< FittedBondDiscountCurve::FittingMethod > | clone () const
| clone of the current object
Public Member Functions inherited from FittedBondDiscountCurve::FittingMethod
Array | solution () const
| output array of results of optimization problem
Integer | numberOfIterations () const
| final number of iterations used in the optimization problem
Real | minimumCostValue () const
| final value of cost function after optimization
bool | constrainAtZero () const
| return whether there is a constraint at zero
Array | weights () const
| return weights being used
Array | l2 () const
| return l2 penalties being used
ext::shared_ptr< OptimizationMethod > | optimizationMethod () const
| return optimization method being used
DiscountFactor | discount (const Array &x, Time t) const
| open discountFunction to public

## Protected Member Functions

void | init ()
| rerun every time instruments/referenceDate changes
Protected Member Functions inherited from FittedBondDiscountCurve::FittingMethod
| FittingMethod (bool constrainAtZero=true, const Array &weights=Array(), const ext::shared_ptr< OptimizationMethod > &optimizationMethod=ext::shared_ptr< OptimizationMethod >(), const Array &l2=Array(), Real minCutoffTime=0.0, Real maxCutoffTime=QL_MAX_REAL)
| constructors

## Additional Inherited Members

Protected Attributes inherited from FittedBondDiscountCurve::FittingMethod
bool | constrainAtZero_
| constrains discount function to unity at \( T=0 \), if true
FittedBondDiscountCurve * | curve_
| internal reference to the FittedBondDiscountCurve instance
Array | solution_
| solution array found from optimization, set in calculate()
Array | guessSolution_
| optional guess solution to be passed into constructor. More...
ext::shared_ptr< FittingCost > | costFunction_
| base class sets this cost function used in the optimization routine

## Detailed Description

Spread fitting method helper.

Examples
  FittedBondCurve.cpp.